package theGhastModding.midiPlayerGL.main;

import org.joml.Matrix4f;
import org.joml.Vector2f;
import org.joml.Vector3f;

public class Maths {
	
	public static Matrix4f createTransformationMatrix(Vector2f translation, Vector2f scale) {
		Matrix4f matrix = new Matrix4f();
		//matrix.identity();
		matrix.translation(new Vector3f(translation.x, translation.y, 0));
		matrix.scale(new Vector3f(scale.x, scale.y, 1f), matrix);
		return matrix;
	}
	
}